| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::ObjectAbstractNode Class Reference
Core » General

This specific abstract node represents a script object. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ObjectAbstractNode:
[legend]

## Public Member Functions
| ObjectAbstractNode (AbstractNode *ptr)
void | addVariable (const String &name)
AbstractNode * | clone () const
| Returns a new AbstractNode which is a replica of this one. More...
const String & | getValue () const
| Returns a string value depending on the type of the AbstractNode. More...
std::pair< bool, String > | getVariable (const String &name) const
const std::map< String, String > & | getVariables () const
void | setVariable (const String &name, const String &value)

## Public Attributes
bool | abstract
std::vector< String > | bases
AbstractNodeList | children
String | cls
Any | context
String | file
uint32 | id
unsigned int | line
String | name
AbstractNodeList | overrides
AbstractNode * | parent
AbstractNodeType | type
AbstractNodeList | values

## Detailed Description

This specific abstract node represents a script object.

## Constructor & Destructor Documentation

## ◆ ObjectAbstractNode()

Ogre::ObjectAbstractNode::ObjectAbstractNode | ( | AbstractNode * | ptr | ) |

## Member Function Documentation

## ◆ clone()

AbstractNode* Ogre::ObjectAbstractNode::clone | ( |  | ) | const
| virtual

Returns a new AbstractNode which is a replica of this one.

Implements Ogre::AbstractNode.

## ◆ getValue()

const String& Ogre::ObjectAbstractNode::getValue | ( |  | ) | const
| inline virtual

Returns a string value depending on the type of the AbstractNode.

Implements Ogre::AbstractNode.

## ◆ addVariable()

void Ogre::ObjectAbstractNode::addVariable | ( | const String & | name | ) |

## ◆ setVariable()

void Ogre::ObjectAbstractNode::setVariable | ( | const String & | name,
|  | const String & | value
| ) |  |

## ◆ getVariable()

std::pair<bool,String> Ogre::ObjectAbstractNode::getVariable | ( | const String & | name | ) | const

## ◆ getVariables()

const std::map<String,String>& Ogre::ObjectAbstractNode::getVariables | ( |  | ) | const

## Member Data Documentation

## ◆ name

String Ogre::ObjectAbstractNode::name

## ◆ cls

String Ogre::ObjectAbstractNode::cls

## ◆ bases

std::vector<String> Ogre::ObjectAbstractNode::bases

## ◆ id

uint32 Ogre::ObjectAbstractNode::id

## ◆ abstract

bool Ogre::ObjectAbstractNode::abstract

## ◆ children

AbstractNodeList Ogre::ObjectAbstractNode::children

## ◆ values

AbstractNodeList Ogre::ObjectAbstractNode::values

## ◆ overrides

AbstractNodeList Ogre::ObjectAbstractNode::overrides

## ◆ file

String Ogre::AbstractNode::file
| inherited

## ◆ line

unsigned int Ogre::AbstractNode::line
| inherited

## ◆ type

AbstractNodeType Ogre::AbstractNode::type
| inherited

## ◆ parent

AbstractNode* Ogre::AbstractNode::parent
| inherited

## ◆ context

Any Ogre::AbstractNode::context
| inherited

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h